## ros-jazzy-ur-client-library 1.4.0

=== debian/changelog ===
ros-jazzy-ur-client-library (1.4.0-1bookworm) bookworm; urgency=high

  * Ensure that the targets are reachable within the robots limits (#184 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/184>)
  * Analog domain (#211 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/211>)
  * Fix clang compilation error (#210 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/210>)
  * Moved reset of speed slider to correct teardown function, so that it … (#206 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/206>)
    …resets between each test.
  * [doc] Fix syntax in example.rst (#207 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/207>)
  * [doc] Migrate documentation to sphinx (#95 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/95>)
  * Contributors: Felix Exner, Mads Holm Peters, Remi Siffert, URJala

 -- Felix Exner <exner@fzi.de>  Mon, 09 Sep 2024 16:00:00 -0000

ros-jazzy-ur-client-library (1.3.7-1bookworm) bookworm; urgency=high

  * [ci] Update CI
    * Run downstream tests for ICI
    * Correctly name jobs
    * Test Jazzy driver
  * [start_ursim] Add program directory at correct location also when no model is provided
  * [start_ursim] Always check ursim version for compatibility
  * [start_ursim] Use a program folder per model
  * [ci] Update distros for prerelease test
  * Contributors: Felix Exner, Vincenzo Di Pentima

 -- Felix Exner <exner@fzi.de>  Sun, 02 Jun 2024 16:00:00 -0000

ros-jazzy-ur-client-library (1.3.6-1bookworm) bookworm; urgency=high

  * Changed spline interpolation to use the last commanded joint velocity… (#195 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/195>)
  * Contributors: Mads Holm Peters, Rune Søe-Knudsen

 -- Felix Exner <exner@fzi.de>  Wed, 03 Apr 2024 16:00:00 -0000

ros-jazzy-ur-client-library (1.3.5-1bookworm) bookworm; urgency=high

  * Add support for UR30 in start_ursim.sh (#193 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/193>)
  * Add header guard to datatypes.h (#189 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/pull/189>)
  * Remove duplicated entry in clang-format file (#188 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/pull/188>)
  * Wait after docker kill to prevent name conflicts (#187 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/187>)
  * Contributors: Felix Exner, Robert Wilbrandt

 -- Felix Exner <exner@fzi.de>  Thu, 22 Feb 2024 16:00:00 -0000

ros-jazzy-ur-client-library (1.3.4-1bookworm) bookworm; urgency=high

  * Make depreaction warning for keepalive_counter a warning instead of error (#182 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/182>)
  * Added watchdog configuration for the reverse socket (#178 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/178>)
  * Add support for ur20 in start_ursim script (#179 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/179>)
  * Use pre-commit for clang-format (#175 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/175>)
  * Make tcp_server retry binding the socket (#176 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/176>)
  * Contributors: Felix Exner, Mads Holm Peters

 -- Felix Exner <exner@fzi.de>  Thu, 21 Sep 2023 16:00:00 -0000

ros-jazzy-ur-client-library (1.3.3-1bookworm) bookworm; urgency=high

  * Add support for setting socket max num tries and reconnect timeout (#172 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/172>)
  * Unify socket open (#174 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/174>)
  * Added handling of spline interpolation with end point velocities (#169 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/169>)
  * Throws exception if the URScript file doesn't exists (#173 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/173>)
  * Added check to ensure receive timeout isn't overwritten (#171 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/171>)
  * Added RTDEClient constructor with vector recipes (#143 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/143>)
  * Only warn if system is not setup for FIFO scheduling (#170 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/170>)
  * Ensuring that the Timestamp is always in the output recipe (#168 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/168>)
  * CI: Add Iron to CI tests (#167 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/167>)
  * Add issue templates for bugs and features (#166 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/166>)
  * Updated license (#164 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/164>)
  * Bugfixes for spline interpolation (#162)
    
    Add separate rounding in the conversion from float to int32
    
    Add more debug printout for splines
    
    Add Copying flight reports if CI fails
    
    Update ursim mininum version in start_ursim.sh
  * Fix the prerelease ci for Melodic (#163 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/163>)
  * Contributors: Dag-Are Trydal, Felix Exner, Felix Exner (fexner), Mads Holm Peters, Michael Eriksen, RobertWilbrandt, Rune Søe-Knudsen, urmahp, urrsk

 -- Felix Exner <exner@fzi.de>  Mon, 04 Sep 2023 16:00:00 -0000

ros-jazzy-ur-client-library (1.3.2-1bookworm) bookworm; urgency=high

  * Add a cmake option to activate address sanitizers (#146 <https://github.com/UniversalRobots/Universal_Robots_Client_Library/issues/146>)

